%define major	1
%define libname %mklibname %{name} %{major}

%define epoch	1

Summary:	Portable Windows Library
Name:		pwlib
Version:	1.10.10
Release:	%mkrel 2
License:	GPL
Group:		System/Libraries
URL:		http://www.openh323.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		pwlib-1.8.0-libname.diff
Patch1:		pwlib-1.8.0-fix-libpt.so-symlink.diff
Patch2:		pwlib-1.9.2-lib64.patch

BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf2.5 
BuildRequires:	bison
BuildRequires:  expat-devel
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	libavc1394-devel
%if %mdkversion >= 200710
BuildRequires:  dc1394-devel >= 0.9.5
%else
BuildRequires:  libdc1394-devel = 1.2.1
%endif
BuildRequires:	libdv-devel
BuildRequires:	libraw1394-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	SDL-devel
BuildRequires:	sed
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildConflicts: libdc1394-devel >= 2.0.0

Epoch:		%epoch

%description
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventeated. Unfortunately this package
contains no GUI code.

%package -n	%{libname}
Summary:	Portable Windows Libary
Group:		System/Libraries
Provides:	%{name}%{major} = %{version}-%{release}
Obsoletes:	%{name}%{major}
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-plugins >= %{epoch}:%{version}-%{release}

%description -n	%{libname}
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated.  Unfortunately this package
contains no GUI code.

%package -n	%{libname}-devel
Summary:	Portable Windows Libary development files
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Obsoletes:	%{name}%{major}-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Header files and libraries for developing applications that use pwlib.

%package -n	%{libname}-plugins
Summary:	Main plugins for pwlib
Group:		System/Libraries
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-plugins = %{version}-%{release}
Obsoletes:	%{libname}-plugins-alsa 
Provides:	lib%{name}-plugins-alsa = %{version}-%{release}
Provides:	%{libname}-plugins-alsa = %{version}-%{release}
Provides:	%{name}-plugins-alsa = %{version}-%{release}
Obsoletes:	%{libname}-plugins-oss
Provides:	%{libname}-plugins-oss = %{version}-%{release}
Provides:	lib%{name}-plugins-oss = %{version}-%{release}
Provides:	%{name}-plugins-oss = %{version}-%{release}
Obsoletes:	%{libname}-plugins-v4l 
Provides:	%{libname}-plugins-v4l = %{version}-%{release}
Provides:	lib%{name}-plugins-v4l = %{version}-%{release}
Provides:	%{name}-plugins-v4l = %{version}-%{release}
Obsoletes:	%{libname}-plugins-v4l2
Provides:	%{libname}-plugins-v4l2 = %{version}-%{release}
Provides:	lib%{name}-plugins-v4l2 = %{version}-%{release}
Provides:	%{name}-plugins-v4l2 = %{version}-%{release}

%description -n	%{libname}-plugins
This package contains the oss, alsa, v4l1 and v4l2 plugins for pwlib

%package -n	%{libname}-plugins-dc
Summary:	Dc plugin for pwlib
Group:		System/Libraries
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-plugins-dc = %{version}-%{release}
Provides:	%{name}-plugins-dc = %{version}-%{release}

%description -n	%{libname}-plugins-dc
This package contains the dc plugin for pwlib

%package -n	%{libname}-plugins-avc
Summary:	AVC plugin for pwlib
Group:		System/Libraries
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}%{major}-plugins-avc = %{version}-%{release}
Obsoletes:	%{name}%{major}-plugins-avc
Provides:	lib%{name}-plugins-avc = %{version}-%{release}
Provides:	%{name}-plugins-avc = %{version}-%{release}

%description -n	%{libname}-plugins-avc
This package contains the AVC plugin for pwlib

%prep

%setup -q

%patch0 -p0 -b .libname
%patch1 -p0 -b .libptsymlink
%patch2 -p1 -b .lib64

#needed by patch2
autoconf

%build

%configure2_5x \
%if %mdkversion >= 1020
    --enable-v4l2 \
%endif
    --enable-plugins

%make OPTCCFLAGS="" RPM_OPT_FLAGS=""

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion >= 1020
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ptbuildopts.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ptlib/pluginmgr.h
%endif

#fix PWLIBDIR
perl -pi -e 's|(PWLIBDIR.*)=.*|\1= %{_datadir}/pwlib|' %{buildroot}%{_datadir}/pwlib/make/ptbuildopts.mak

#fix doc perms
chmod a+r *.txt

#remove unpackaged files
rm -f %{buildroot}%{_datadir}/pwlib/make/*.{pat,in,lib64,libname,pwlibdir,includesdir}

# fix ptlib-config
install -d %{buildroot}%{_bindir}
ln -snf %{_datadir}/pwlib/make/ptlib-config %{buildroot}%{_bindir}/ptlib-config

# fix strange perms
find %{buildroot} -type d -perm 0700 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0555 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0444 -exec chmod 644 {} \;
find %{buildroot}%{_libdir} -type f -name '*.so*' -exec chmod 755 {} \;

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc *.txt
%attr(0755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/ptlib-config
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/pwlib

%files -n %{libname}-plugins
%defattr(-,root,root)
%dir %{_libdir}/pwlib
%dir %{_libdir}/pwlib/devices
%dir %{_libdir}/pwlib/devices/sound
%dir %{_libdir}/pwlib/devices/videoinput
%attr(0755,root,root) %{_libdir}/pwlib/devices/sound/alsa_pwplugin.so
%attr(0755,root,root) %{_libdir}/pwlib/devices/sound/oss_pwplugin.so
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/v4l_pwplugin.so
%if %mdkversion >= 1020
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/v4l2_pwplugin.so
%endif

%files -n %{libname}-plugins-dc
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/dc_pwplugin.so

%files -n %{libname}-plugins-avc
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/pwlib/devices/videoinput/avc_pwplugin.so


%changelog
* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.10-2mdv2008.0
+ Revision: 90186
- rebuild

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 1.10.10

* Mon Sep 17 2007 Frederic Crozat <fcrozat@mandriva.com> 1:1.10.9-1mdv2008.0
+ Revision: 89270
- Release 1.10.9

* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 1:1.10.7-5mdv2008.0
+ Revision: 69007
- Remove patch3, not needed after further investigation
-Fix typo in summary (Mdv bug #25363)

* Mon Aug 06 2007 Frederic Crozat <fcrozat@mandriva.com> 1:1.10.7-4mdv2008.0
+ Revision: 59396
- Patch3 (CVS): declare operator= for all codepaths

* Mon Jul 16 2007 Emmanuel Andry <eandry@mandriva.org> 1:1.10.7-3mdv2008.0
+ Revision: 52745
- rebuild for expat

* Fri Apr 27 2007 Frederic Crozat <fcrozat@mandriva.com> 1:1.10.7-2mdv2008.0
+ Revision: 18742
- Adapt specfile to build on 2007.0

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 1:1.10.7-1mdv2008.0
+ Revision: 14417
- new version


* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 1.10.5-1mdv2007.1
+ Revision: 141414
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1:1.10.4-1mdv2007.1
+ Revision: 120709
- fix buildrequires
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1:1.10.3-1mdv2007.1
+ Revision: 111676
- new version
- unpack patches

  + David Walluck <walluck@mandriva.org>
    - Import pwlib

* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.10.2-2mdv2007.0
- Use new upstream tarball

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.10.2-1mdv2007.0
- Release 1.10.2

* Wed Jun 07 2006 Gtz Waschk <waschk@mandriva.org> 1.10.1-1mdv2007.0
- new source URL
- New release 1.10.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdk
- New release 1.10.0

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.9.3-2mdk
- don't use cflags two times
- merge v4l2 package in main plugin package

* Tue Feb 14 2006 Gtz Waschk <waschk@mandriva.org> 1.9.3-1mdk
- drop patches 3,4
- New release 1.9.3

* Fri Jan 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.9.2-2mdk
- Clean specfile
- Patch4 (Luc Saillard): fix BGR/RBG with some quickcam webcams

* Wed Jan 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.9.2-1mdk
- Release 1.9.2
- Regenerate patch2
- Remove patches 3, 4 (merged upstream)
- Patch3: fix LDAP detection

* Fri Jan 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.8.7-4mdk
- Rebuild with latest libdc1394

* Wed Nov 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1:1.8.7-3mdk
- Patch4 (Fedora): fix debuginfo package generation

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1:1.8.7-2mdk
- Patch3 (Fedora): fix build with latest gcc

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.7-1mdk
- Release 1.8.7
- Remove patch10 (merged upstream)

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.4-6mdk
- Rebuild for libldap2.3

* Mon Aug 01 2005 Guillaume Bedot <litttletux@mandriva.org> 1:1.8.4-5mdk
- add epoch to the requires

* Mon Aug 01 2005 Guillaume Bedot <litttletux@mandriva.org> 1:1.8.4-4mdk
- revert to 1.8.4 (1.9.1 is a development release that can't be used with
 gnomemeeting)
- Patch10: allows to build with gcc4
- use mkrel

* Sun Jul 31 2005 Guillaume Bedot <litttletux@mandriva.org> 1.9.1-1mdk
- new release 1.9.1

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.4-4mdk 
- readded P2 (extra lib64 fixes, aka define LIB, Gwenole Beauchesne)

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.4-2mdk 
- Fix distrib version detection

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.4-1mdk 
- Release 1.8.4

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.8.3-5mdk
- rebuild for ldap2.2_7

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.3-4mdk 
- Multiarch

* Mon Jan 03 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.3-3mdk 
- Add conditional build for mdk 10.1 to workaround gcc bug 
- Build v4l2 plugin as a subpackage

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.3-2mdk 
- Merge oss, alsa and v4l subpackages in one main package

* Mon Dec 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.3-1mdk
- Release 1.8.3

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.8.0-1mdk
- 1.8.0
- rediff the libname patch
- drop the dc095 patch, another fix is in there
- reorder patches and clean up the spec file some

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.6-3mdk
- Patch19 (Debian) : fix build with libdc1394 0.9.5 (Mdk bug #10321)

* Sat Jun 05 2004 Laurent Montel <lmontel@mandrakesoft.com> 1.6.6-2mdk
- Rebuild

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.6-1mdk
- 1.6.6 (Janus patch 2)

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-5mdk
- fix problem with broken symlink for libpt.so (P18, should fix problem with devel provides for real)
- enable plugins and split them out into their own packages (from Robert Vojta <robert.vojta@mandrake.cz>)

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-4mdk
- do autoconf in %%prep, fcrozat says so

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-3mdk
- ARG! messed up the devel provides, fixed

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-2mdk
- hrmpf, fix devel provides
- drop P17, it's fixed upstream with a symlink now

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-1mdk
- 1.6.5
- drop P12, P14, P15 & P16 (fixed upstream)
- regenerated P17

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-4mdk
- fix path to ptlib-config (P17)
- run autoconf in %%build, not %%prep

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.5.2-3mdk
- fix buildrequires
- use %%make and %%makeinstall macro
- spec cosmetics

